Double-conversion

Package double-conversion 3.1.4-1 is breaking a whole bunch of stuff for me.

pacman -Qii
[merell@Jammin1 ~]$ pacman -Qii double-conversion
Name            : double-conversion
Version         : 3.1.4-1
Description     : Binary-decimal and decimal-binary routines for IEEE doubles
Architecture    : x86_64
URL             : https://github.com/google/double-conversion
Licenses        : BSD
Groups          : None
Provides        : None
Depends On      : gcc-libs
Optional Deps   : None
Required By     : qt5-base
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 170.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Tue 12 Mar 2019 03:21:50 AM EDT
Install Date    : Tue 12 Mar 2019 09:24:12 PM EDT
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
Backup Files    :
(none)
pactree -r
[merell@Jammin1 ~]$ pactree -r double-conversion
double-conversion
└─qt5-base
  ├─kcoreaddons
  │ ├─kauth
  │ │ └─manjaro-settings-manager
  │ │   └─manjaro-settings-manager-notifier
  │ └─manjaro-settings-manager
  ├─kitemmodels
  │ └─manjaro-settings-manager
  ├─kvantum-qt5
  │ └─kvantum-manjaro
  ├─manjaro-settings-manager
  ├─pacmanlogviewer
  ├─polkit-qt5
  │ └─kauth
  ├─poppler-qt5
  │ └─qpdfview
  ├─pyqt5-common
  │ └─python-pyqt5
  ├─qt5-charts
  │ └─radeon-profile-git
  │   └─radeon-profile-daemon-git
  ├─qt5-declarative
  │ ├─qt5-location
  │ │ └─qt5-webkit
  │ │   └─xnviewmp
  │ └─qt5-webchannel
  │   └─qt5-webkit
  ├─qt5-multimedia
  │ └─xnviewmp
  ├─qt5-sensors
  │ └─qt5-webkit
  ├─qt5-styleplugins
  ├─qt5-svg
  │ ├─gnuplot
  │ ├─kvantum-qt5
  │ ├─qpdfview
  │ ├─qt5ct
  │ ├─vlc
  │ └─xnviewmp
  ├─qt5-tools
  ├─qt5-x11extras
  │ ├─keepassxc
  │ ├─kvantum-qt5
  │ ├─kwindowsystem
  │ │ └─kvantum-qt5
  │ ├─virtualbox
  │ │ └─virtualbox-ext-oracle
  │ ├─vlc
  │ └─xnviewmp
  ├─qt5-xmlpatterns
  ├─radeon-profile-daemon-git
  ├─radeon-profile-git
  ├─virtualbox
  └─vlc
[merell@Jammin1 ~]$ keepassxc
keepassxc: error while loading shared libraries: libdouble-conversion.so.3.0.0: cannot open shared object file: No such file or directory
[merell@Jammin1 ~]$ qpdfview
qpdfview: error while loading shared libraries: libdouble-conversion.so.3.0.0: cannot open shared object file: No such file or directory

And so on.

Doing sudo downgrade double-conversion to 3.1.1-1 gets this:

[merell@Jammin1 ~]$ qpdfview
qt5ct: using qt5ct plugin
qt5ct: D-Bus global menu: no

And, qpdfview opens properly.

2 Likes

Most likely qt5-base currently needs a rebuild. This is what they did on Arch Linux.

https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/qt5-base&id=f23a9fbecf1525639c0b994783124f198bd91801

Last packager for qt5-base was @philm.

2 Likes

Downgrading double-conversion to 3.1.1-1 didn’t work for me, sddm still won’t start on my VM, system unbootable.

Definitely looks like qt5-base needs a rebuild.

3 Likes

i add this

The error is gone now with latest qt5 package update.

3 Likes

This topic was automatically closed after 90 days. New replies are no longer allowed.

Forum kindly sponsored by